Package com.sap.ai.sdk.core.model

# Class BckndServiceCapabilities

java.lang.Object
com.sap.ai.sdk.core.model.BckndServiceCapabilities

public class BckndServiceCapabilities extends Object
BckndServiceCapabilities

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndServiceCapabilities()`
  Default constructor for BckndServiceCapabilities.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndServiceCapabilities`
  `basic(BckndServiceCapabilitiesBasic basic)`
  Set the basic of this `BckndServiceCapabilities` instance and return the same instance.
  `static BckndServiceCapabilities`
  `create()`
  Create a new `BckndServiceCapabilities` instance.
  `boolean`
  `equals(Object o)`
  `BckndServiceCapabilitiesBasic`
  `getBasic()`
  Get basic
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndServiceCapabilities`.
  `BckndServiceCapabilitiesLogs`
  `getLogs()`
  Get logs
  `int`
  `hashCode()`
  `BckndServiceCapabilities`
  `logs(BckndServiceCapabilitiesLogs logs)`
  Set the logs of this `BckndServiceCapabilities` instance and return the same instance.
  `void`
  `setBasic(BckndServiceCapabilitiesBasic basic)`
  Set the basic of this `BckndServiceCapabilities` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndServiceCapabilities` instance.
  `void`
  `setLogs(BckndServiceCapabilitiesLogs logs)`
  Set the logs of this `BckndServiceCapabilities` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndServiceCapabilities` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndServiceCapabilities

    protected BckndServiceCapabilities()
    Default constructor for BckndServiceCapabilities.

- ## Method Details

  - ### logs

    @Nonnull public BckndServiceCapabilities logs(@Nullable BckndServiceCapabilitiesLogs logs)
    Set the logs of this `BckndServiceCapabilities` instance and return the same instance.
    Parameters:
      `logs` - The logs of this `BckndServiceCapabilities`
    Returns:
      The same instance of this `BckndServiceCapabilities` class

  - ### getLogs

    @Nonnull public BckndServiceCapabilitiesLogs getLogs()
    Get logs
    Returns:
      logs The logs of this `BckndServiceCapabilities` instance.

  - ### setLogs

    public void setLogs(@Nullable BckndServiceCapabilitiesLogs logs)
    Set the logs of this `BckndServiceCapabilities` instance.
    Parameters:
      `logs` - The logs of this `BckndServiceCapabilities`

  - ### basic

    @Nonnull public BckndServiceCapabilities basic(@Nullable BckndServiceCapabilitiesBasic basic)
    Set the basic of this `BckndServiceCapabilities` instance and return the same instance.
    Parameters:
      `basic` - The basic of this `BckndServiceCapabilities`
    Returns:
      The same instance of this `BckndServiceCapabilities` class

  - ### getBasic

    @Nonnull public BckndServiceCapabilitiesBasic getBasic()
    Get basic
    Returns:
      basic The basic of this `BckndServiceCapabilities` instance.

  - ### setBasic

    public void setBasic(@Nullable BckndServiceCapabilitiesBasic basic)
    Set the basic of this `BckndServiceCapabilities` instance.
    Parameters:
      `basic` - The basic of this `BckndServiceCapabilities`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndServiceCapabilities`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndServiceCapabilities` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndServiceCapabilities` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndServiceCapabilities` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndServiceCapabilities create()
    Create a new `BckndServiceCapabilities` instance. No arguments are required.